[fxruby-users] Newbie Question - Installing FXRuby from Gem Error

Lyle Johnson lyle at lylejohnson.name
Tue Mar 18 17:32:02 EDT 2008

On Mar 18, 2008, at 4:06 PM, Joshua Lefkowitz wrote:

> I installed fxruby on windows, and I don't recall having any  
> difficulty.
>  Do you need to use one of the following instead of fxruby:
> gem install fx
> gem install fx16
> gem install fxruby16

No, the name of the gem is just "fxruby". There is a precompiled gem  
for Windows, which is why the installation went smoothly for you. For  
users on other platforms, it needs to be built from the source code,  
and of course you need to have all of the dependencies (such as FOX)  
installed before you can even build FXRuby.

"FXRuby: Create Lean and Mean GUIs with Ruby"
Now available as a Beta book from the Pragmatic Bookshelf

More information about the fxruby-users mailing list